@echo off
REM DOS Games Archive DOSBox launch script
REM 
REM Game title: Magic Carpet 2 (BASF Demo w/o intro)
REM Configuration: online
REM 
REM Please refer to the DOSBox manual and Wiki
REM for an explanation of commands
REM 
REM DOSBox: disable joystick (for online play)
config -set "joystick joysticktype=none"
REM DOSBox: configure CPU cycles
config -set "cpu cycles=auto 7800 100%% limit 77000"
REM DOSBox: disable aspect ratio correction
config -set "render aspect=false"
C:\S3VBE20\S3VBE20 /INSTALL
C:\S3SPDUP\S3SPDUP VGA+
cd MC2DEMO
dos32a CARPET2.EXE
cd..
C:\S3SPDUP\S3SPDUP /UNLOAD
C:\S3VBE20\S3VBE20 /UNLOAD
cls
echo Thank you for playing Magic Carpet 2 Demo!
echo.
echo To play again, type MC2DEM and press Enter
echo.
echo Your DOS Games Archive http://www.dosgamesarchive.com/
@echo on